oRTP 0.25.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
_RtpTransport Struct Reference

## Data Fields
void * | data
struct _RtpSession * | session
ortp_socket_t(* | t_getsocket )(struct _RtpTransport *t)
int(* | t_sendto )(struct _RtpTransport *t, mblk_t *msg, int flags, const struct sockaddr *to, socklen_t tolen)
int(* | t_recvfrom )(struct _RtpTransport *t, mblk_t *msg, int flags, struct sockaddr *from, socklen_t *fromlen)
void(* | t_close )(struct _RtpTransport *transport, void *userData)
void(* | t_destroy )(struct _RtpTransport *transport)

## Field Documentation

void(* _RtpTransport::t_destroy) (struct _RtpTransport *transport)

Mandatory callback responsible of freeing the #RtpTransport object AND the pointer.

Parameters

  [in] | transport | #RtpTransport object to free.

The documentation for this struct was generated from the following file:

- include/ortp/rtpsession.h